## bsd-finger 0.17

=== Makefile ===
# You can do "make SUB=blah" to make only a few, or edit here, or both
# You can also run make directly in the subdirs you want.

SUB =   finger fingerd

%.build:
	(cd $(patsubst %.build, %, $@) && $(MAKE))

%.install:
	(cd $(patsubst %.install, %, $@) && $(MAKE) install)

%.clean:
	(cd $(patsubst %.clean, %, $@) && $(MAKE) clean)

all:     $(patsubst %, %.build, $(SUB))
install: $(patsubst %, %.install, $(SUB))
clean:   $(patsubst %, %.clean, $(SUB))

distclean: clean
	rm -f MCONFIG

=== debian/changelog ===
bsd-finger (0.17-17) unstable; urgency=medium

  * Upload to unstable (0.17-17)

 -- Josue Ortega <josue@debian.org>  Sun, 07 Jul 2019 17:09:50 -0600

bsd-finger (0.17-16) experimental; urgency=medium

  * New maintainer (Closes: #925001).
  * Upgrade compat level to debhelper-compat (= 12).
  * Remove debian/source/options.
  * Update debian/copyright to Machine-readable format.
  * Bump Standards-Version to 4.3.0, no changes required.
  * Update source URL at debian/copyright and debian/watch files.
    (Closes: #926655)
  * debian/control:
    - Add Vcs-* fields.
    - Add Homepage field.
  * Add debian CI tests
  * debian/rules: Add hardening build flags.
  * Add patch to fix fingerd man page typo.
  * Remove command hardcoded path of postrm maint script.

 -- Josue Ortega <josue@debian.org>  Sat, 11 May 2019 13:43:06 -0600

bsd-finger (0.17-15.2) unstable; urgency=medium

  * Non-maintainer upload
  * Use cmake as build system. Closes: #873085, #912121

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 08 Dec 2018 10:36:30 +0100

bsd-finger (0.17-15.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Do not specify bzip2 compressor to dh_builddeb
    (Closes: #833210)

 -- Jonathan Wiltshire <jmw@debian.org>  Fri, 11 Nov 2016 14:58:53 +0000

bsd-finger (0.17-15) unstable; urgency=low

  * Fix "finger client causes long timeouts"
    Add 06-572211-decrease-timeout.patch
    Patch by Mats Erik Andersson
    Closes: #572211
  * Suggests: finger
    Closes: #622105
  * Enable hardened build flags
  * DH compatibility level is 9
  * Standards version is 3.9.3
  * Debian source format is 3.0 (quilt)
  * Fix debian-rules-missing-recommended-target

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 18 Jun 2012 15:37:11 +1000

bsd-finger (0.17-14) unstable; urgency=low

  [ Mats Erik Andersson <mats.andersson@gisladisker.se> ]
  * Implement IPv6-support
    Add 03-468454-fingerd-ipv6.patch
    Add 04-468454-finger-ipv6.patch
    Closes: #468454
  * debian/fingerd.examples: Add debian/local/finger.xinetd

  [ Anibal Monsalve Salazar ]
  * Don't segfault when /etc/passwd has netgroup entry
    Add 05-547014-netgroup.patch
    Patch by Matthew A. Dunford
    Closes: #547014
  * Debian source format is 3.0 (quilt)
  * Fix out-of-date-standards-version
  * Fix maintainer-script-without-set-e

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 12 Feb 2010 14:49:23 +1100

bsd-finger (0.17-13) unstable; urgency=low

  * Priority is optional
  * Build depends on quilt
  * Standards Version is 3.8.1
  * DH compatibility level is 7
  * Run dh_prep instead of dh_clean -k
  * Work with a non-iterable nsswitch source
    02-518559-nsswitch-sources.patch by Tim Abbott
    closes: #518559

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 10 Jun 2009 19:49:18 +1000

bsd-finger (0.17-12) unstable; urgency=low

  * Added debian/watch
  * Fixed the following lintian issues:
    - bsd-finger source: debian-rules-sets-DH_COMPAT line 10
    - bsd-finger source: debian-rules-ignores-make-clean-error line 34
    - bsd-finger source: out-of-date-standards-version 3.7.2 (current is 3.7.3)

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 06 Apr 2008 17:30:13 +1000

bsd-finger (0.17-11) unstable; urgency=low

  * Resynchronise with Ubuntu.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 09 Feb 2007 10:43:05 +1100

bsd-finger (0.17-10ubuntu1) feisty; urgency=low

  * Make fingerd depend on update-inetd for update-inetd.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Thu, 14 Dec 2006 11:40:14 +0100

bsd-finger (0.17-10) unstable; urgency=low

  * Set Standards-Version to 3.7.2.
  * Set DH_COMPAT to 5.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 22 Jun 2006 09:03:02 +1000

bsd-finger (0.17-9) unstable; urgency=low

  * Set Standards-Version to 3.6.2.
  * Set DH_COMPAT to 4.
  * Fixed "fingerd.postrm is a #!/bin/sh script but uses command
    -v", closes: #292977.
  * Fixed "/usr/share/doc/finger/README.gz not helpful for user",
    closes: #323230.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 08 Oct 2005 19:10:10 +1000

bsd-finger (0.17-8) unstable; urgency=low

  * Fixed "Manpage mentions ~/.pgp when it should say ~/.pgpkey"
    (Closes: #244217).
  * Fixed "Manpage describes ~/.project as restricted to one line"
    (Closes: #244218).
  * New maintainer's email address.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 10 Feb 2005 23:22:52 +1100

bsd-finger (0.17-7) unstable; urgency=low

  * New maintainer.

 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Thu, 20 May 2004 09:24:26 +1000

bsd-finger (0.17-6) unstable; urgency=low

  * Exit with a nonzero status when a request fails (closes: #122915).

 -- Herbert Xu <herbert@debian.org>  Sat,  8 Dec 2001 18:39:54 +1100

bsd-finger (0.17-5) unstable; urgency=low

  * Use asprintf in preference to an array on the stack (closes: #106385).

 -- Herbert Xu <herbert@debian.org>  Tue, 24 Jul 2001 19:25:14 +1000

bsd-finger (0.17-4) unstable; urgency=low

  * Restored old strsep code since gecos may be empty (closes: #103273).

 -- Herbert Xu <herbert@debian.org>  Tue,  3 Jul 2001 21:24:19 +1000

bsd-finger (0.17-3) unstable; urgency=low

  * Finger no longer complains about remote X displays.

 -- Herbert Xu <herbert@debian.org>  Tue, 19 Jun 2001 22:21:25 +1000

bsd-finger (0.17-2) unstable; urgency=low

  * Fixed typo in finger(1) man page (closes: #99328).

 -- Herbert Xu <herbert@debian.org>  Thu, 31 May 2001 19:17:12 +1000

bsd-finger (0.17-1) unstable; urgency=low

  * New upstream release.
  * Fixed compilation problems with glibc 2.2 (closes: #90356).

 -- Herbert Xu <herbert@debian.org>  Tue, 20 Mar 2001 21:30:56 +1100

bsd-finger (0.16-3) unstable; urgency=low

  * Set pn->realname to NULL by default (closes: #67593).

 -- Herbert Xu <herbert@debian.org>  Sun, 23 Jul 2000 14:12:52 +1000

bsd-finger (0.16-2) unstable; urgency=low



=== debian/control ===
Source: bsd-finger
Section: net
Priority: optional
Maintainer: Josue Ortega <josue@debian.org>
Standards-Version: 4.3.0
Build-Depends: dpkg-dev (>= 1.16.1~),
 debhelper-compat (= 12),
 cmake
Homepage: http://ftp.linux.org.uk/pub/linux/Networking/netkit/
Vcs-Git: https://salsa.debian.org/debian/bsd-finger.git
Vcs-Browser: https://salsa.debian.org/debian/bsd-finger

Package: finger
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: netstd
Description: user information lookup program
 finger displays information about the system users.

Package: fingerd
Architecture: any
Depends: update-inetd, netbase, ${shlibs:Depends}, ${misc:Depends}
Suggests: finger
Replaces: netstd
Description: remote user information server
 Fingerd is a simple daemon based on RFC1196 that provides an interface to the
 "finger" program at most network sites.  The program is supposed to return a
 friendly, human-oriented status report on either the system at the moment or a
 particular person in depth.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake

override_dh_missing:
	dh_missing --fail-missing

=== debian/tests/control ===
Test-Command: finger

=== debian/watch ===
version=3
http://ftp.linux.org.uk/pub/linux/Networking/netkit/ bsd-finger-([\d]+[\.\d]*).tar.gz

## bsd-finger 0.17-13maemo1

=== debian/changelog ===
bsd-finger (0.17-13maemo1) fremantle; urgency=low

  * Initial release for fremantle.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Wed, 30 Jun 2010 03:25:47 +0300

bsd-finger (0.17-13build1) lucid; urgency=low

  * rebuild rest of main for armel armv7/thumb2 optimization;
    UbuntuSpec:mobile-lucid-arm-gcc-v7-thumb2

 -- Alexander Sack <asac@ubuntu.com>  Fri, 05 Mar 2010 03:11:31 +0100

=== debian/control ===
Source: bsd-finger
Section: net
Priority: optional
Maintainer: Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>
Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
Standards-Version: 3.8.1
Build-Depends: debhelper7, quilt

Package: finger
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: netstd
Description: user information lookup program
 finger displays information about the system users.

Package: fingerd
Architecture: any
Depends: update-inetd, netbase, finger, ${shlibs:Depends}, ${misc:Depends}
Replaces: netstd
Description: remote user information server
 Fingerd is a simple daemon based on RFC1196 that provides an interface to the
 "finger" program at most network sites.  The program is supposed to return a
 friendly, human-oriented status report on either the system at the moment or a
 particular person in depth.

=== debian/rules ===
#!/usr/bin/make -f
# GNU copyright 1997 to 1999 by Joey Hess.
# Copyright (c) 1999 Herbert Xu <herbert@debian.org>
# Copyright (C) 2004-2008 Anibal Monsalve Salazar <anibal@debian.org>

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS
#==Added for debhelper 7 backport==
#==================================
PATH:=/usr/bin/dh7:/usr/bin:$(PATH)
export PATH
SBOX_REDIRECT_IGNORE=/usr/bin/perl
export SBOX_REDIRECT_IGNORE
# Changes made to debian/control
# (debhleper (>=7) -> debhelper7)
#==================================

include /usr/share/quilt/quilt.make

build: patch build-stamp
build-stamp:
	dh_testdir

	if [ ! -f MCONFIG ]; then \
		./configure; \
		sed -e 's/^CFLAGS=\(.*\)$$/CFLAGS= -g -D_GNU_SOURCE \1/' \
		    MCONFIG > MCONFIG.new; \
		mv MCONFIG.new MCONFIG; \
	fi
	$(MAKE)

	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	touch MCONFIG
	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean

install: DH_OPTIONS=
install: build install-stamp
install-stamp:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	install finger/finger debian/finger/usr/bin
	install fingerd/fingerd debian/fingerd/usr/sbin/in.fingerd
	cp finger/finger.1 debian/finger/usr/share/man/man1
	cp fingerd/fingerd.8 debian/fingerd/usr/share/man/man8/in.fingerd.8

	dh_strip
	touch install-stamp

# This single target is used to build all the packages, all at once, or
# one at a time. So keep in mind: any options passed to commands here will
# affect _all_ packages. Anything you want to only affect one package
# should be put in another target, such as the install target.
binary-common:
	# Need this version of debhelper for DH_OPTIONS to work.
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installinfo
	dh_installchangelogs ChangeLog
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: install
# (Uncomment this next line if you have such packages.)
#	 $(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: install
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

# Any other binary targets build just one binary package at a time.
binary-%: install
	make -f debian/rules binary-common DH_OPTIONS=-p$*

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
